Name:		neverball
Summary:	NeverBall arcade game
Version: 1.4.0
Release:	1mdk
Url:		http://icculus.org/neverball/
Source0:	http://icculus.org/neverball/%{name}-%{version}.tar.bz2
Source1:	%{name}-48.png
Source2:	%{name}-32.png
Source3:	%{name}-16.png
Source4:	neverputt-48.png
Source5:	neverputt-32.png
Source6:	neverputt-16.png
Patch0:		neverball_X11_path.patch.bz2
Group:		Games/Arcade
License:	GPL
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL_mixer-devel SDL_image-devel SDL_ttf-devel
Obsoletes:	neverputt
Provides:	neverputt

%description
Tilt the floor to roll the ball through the obstacle course
before time runs out.
This package inclutes neverputt, a golf game based on neverball.
Hardware accellerated OpenGL support with multitexture
(OpenGL 1.2.1 or greater) is required.

%prep
%setup -q
%patch0 -p0

%build
%make CFLAGS="$RPM_OPT_FLAGS -ansi `sdl-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT

function install_binary() {
	binary=$1
	install -m755 $binary -D $RPM_BUILD_ROOT%{_gamesbindir}/$binary.bin

	cat > $RPM_BUILD_ROOT%{_gamesbindir}/$binary << EOF
#!/bin/sh
cd %{_gamesdatadir}/%{name}
%{_gamesbindir}/$binary.bin
EOF

	chmod +x $RPM_BUILD_ROOT%{_gamesbindir}/$binary
}

install_binary %{name}
install_binary neverputt

mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
rm -fr data/map-*/*.map
cp -a data $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/data/

install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_liconsdir}/neverputt.png
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_iconsdir}/neverputt.png
install -D -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_miconsdir}/neverputt.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): command="%{_gamesbindir}/%{name}" icon="%{name}.png" section="Amusement/Arcade" title="Neverball" longtitle="Tilt the floor to roll the ball" needs="x11"
?package(%{name}): command="%{_gamesbindir}/neverputt" icon="neverputt.png" section="Amusement/Arcade" title="Neverputt" longtitle="Golf game based on neverball" needs="x11"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(644,root,root,755)
%doc CHANGES README
# do not package TODO to make rpmlint happy (zero size)
%attr(755,root,root) %{_gamesbindir}/%{name}*
%attr(755,root,root) %{_gamesbindir}/neverputt*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/neverputt.png
%{_iconsdir}/neverputt.png
%{_miconsdir}/neverputt.png

%changelog
* Wed Sep 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- New release 1.4.0

* Mon Sep  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.7-2mdk
- don't accidently remove .sol files (thanks to Fabien Brachere)

* Thu Aug 12 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.7-1mdk
- New release 1.3.7

* Sun Jul 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.6-1mdk
- New release 1.3.6

* Thu Jul 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.5-1mdk
- New release 1.3.5

* Wed Jul 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.4-1mdk
- New release 1.3.4

* Tue Jul 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.3-1mdk
- drop GLU dependancy
- New release 1.3.3

* Mon Jul 12 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.2-1mdk
- New release 1.3.2

* Wed Jul  7 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.1-1mdk
- New release 1.3.1

* Mon Jun 28 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.0-1mdk
- New release 1.3.0

* Mon Jun 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.7-1mdk
- New release 1.2.7

* Fri May  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.5-1mdk
- add source URL
- fix doc file listing
- New release 1.2.5

* Wed Apr 14 2004 Olivier Blin <blino@mandrake.org> 1.2.1-1mdk
- install neverputt files
- Obsoletes/Provides neverputt (merged in neverball)
- new release

* Fri Feb  6 2004 Olivier Blin <blino@mandrake.org> 1.1.0-2mdk
- don't ship unneeded files (map "source" files)

* Thu Feb 05 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.0-1mdk
- 1.1.0
- fix buildrequires (lib64..)

* Sun Nov  9 2003  Olivier Blin <oliv.blin@laposte.net> 1.0.0-2mdk
- keep 0.25.11-2mdk fixes (stupid me ...)

* Sun Nov  9 2003  Olivier Blin <oliv.blin@laposte.net> 1.0.0-1mdk
- 1.0.0
- add url in Source0

* Wed Oct 29 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25.11-2mdk
- compile with $RPM_OPT_FLAGS
- don't list datadir twice in %%files

* Mon Oct 27 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25.11-1mdk
- 0.25.11
- updated url
- move to %%{_gamesbindir} and %%{_gamesdatadir}

* Thu Oct 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25.10-1mdk
- 0.25.10

* Wed Oct  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.6-1mdk
- new version

* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.4-1mdk
- new version

* Mon Sep 1 2003 Olivier Blin <oliv.blin@laposte.net> 0.25.3-1mdk
- Release 0.25.3

* Mon Sep 1 2003 Olivier Blin <oliv.blin@laposte.net> 0.25.1-2mdk
- fix changelog and try to upload it
  (thanks to Charles A Edwards, Gtz Waschk and warly)

* Sat Aug 30 2003 Olivier Blin <oliv.blin@laposte.net> 0.25.1-1mdk
- Release 0.25.1
- Drop patch1 (merged upstream)

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.0-2mdk
- fix buildrequires
- add an epoch

* Thu Aug 28 2003 Olivier Blin <oliv.blin@laposte.net> 0.25.0-1mdk
- Release 0.25.0
- Added patch for Radeon cards (patch1)

* Thu Aug 21 2003 Olivier Blin <oliv.blin@laposte.net> 0.21.0-1mdk
- Release 0.21.0
- Regenerate patch0

* Fri Aug 15 2003 Olivier Blin <oliv.blin@laposte.net> 0805a-2mdk
- Added homemade icon
- Added menu entry

* Wed Aug 13 2003 Olivier Blin <oliv.blin@laposte.net> 0805a-1mdk
- Initial release for Mandrake
- Patch to fix wrong X11 library dir
